CVE-2017-12617

Published: 03 October 2017

When running Apache Tomcat versions 9.0.0.M1 to 9.0.0, 8.5.0 to 8.5.22, 8.0.0.RC1 to 8.0.46 and 7.0.0 to 7.0.81 with HTTP PUTs enabled (e.g. via setting the readonly initialisation parameter of the Default servlet to false) it was possible to upload a JSP file to the server via a specially crafted request. This JSP could then be requested and any code it contained would be executed by the server.

Priority

Medium

CVSS 3 base score: 8.1

Status

Package Release Status
tomcat7
Launchpad, Ubuntu, Debian
Upstream
Released (7.0.82)
Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (7.0.52-1ubuntu0.14)
Patches:
Upstream: https://svn.apache.org/r1804604 (7.0.x)
Upstream: https://svn.apache.org/r1804643 (7.0.x)
Upstream: https://svn.apache.org/r1804729 (7.0.x)
Upstream: https://svn.apache.org/r1806940 (7.0.x)
Upstream: https://svn.apache.org/r1809288 (7.0.x)
Upstream: https://svn.apache.org/r1809293 (7.0.x)
Upstream: https://svn.apache.org/r1809298 (7.0.x)
Upstream: https://svn.apache.org/r1809358 (7.0.x)
Upstream: https://svn.apache.org/r1809978 (7.0.x)
Upstream: https://svn.apache.org/r1809992 (7.0.x)
Upstream: https://svn.apache.org/r1810014 (7.0.x)
Upstream: https://svn.apache.org/r1810026 (7.0.x)
tomcat8
Launchpad, Ubuntu, Debian
Upstream
Released (8.0.47,8.5.23)
Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(8.5.30-1ubuntu1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (8.0.32-1ubuntu1.6)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://svn.apache.org/r1809272 (8.5.x)
Upstream: https://svn.apache.org/r1809274 (8.5.x)
Upstream: https://svn.apache.org/r1809275 (8.5.x)
Upstream: https://svn.apache.org/r1809673 (8.5.x)
Upstream: https://svn.apache.org/r1809675 (8.5.x)
Upstream: https://svn.apache.org/r1809896 (8.5.x)
Upstream: https://svn.apache.org/r1809283 (8.0.x)
Upstream: https://svn.apache.org/r1809284 (8.0.x)
Upstream: https://svn.apache.org/r1809285 (8.0.x)
Upstream: https://svn.apache.org/r1809296 (8.0.x)
Upstream: https://svn.apache.org/r1809921 (8.0.x)
tomcat8.0
Launchpad, Ubuntu, Debian
Upstream
Released (8.0.47)
Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://svn.apache.org/r1809921 (8.0.x)